/*
 * UnreachableStatesRemover.cpp
 *
 *  Created on: 23. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "UnreachableStatesRemover.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

namespace efficient {

auto UnreachableStatesRemoverEpsilonNFA = registration::AbstractRegister < UnreachableStatesRemover, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > & > ( UnreachableStatesRemover::remove );
auto UnreachableStatesRemoverNFA = registration::AbstractRegister < UnreachableStatesRemover, automaton::NFA < > , const automaton::NFA < > & > ( UnreachableStatesRemover::remove );
auto UnreachableStatesRemoverCompactNFA = registration::AbstractRegister < UnreachableStatesRemover, automaton::CompactNFA < >, const automaton::CompactNFA < > & > ( UnreachableStatesRemover::remove );
auto UnreachableStatesRemoverExtendedNFA = registration::AbstractRegister < UnreachableStatesRemover, automaton::ExtendedNFA < >, const automaton::ExtendedNFA < > & > ( UnreachableStatesRemover::remove );
auto UnreachableStatesRemoverDFA = registration::AbstractRegister < UnreachableStatesRemover, automaton::DFA < >, const automaton::DFA < > & > ( UnreachableStatesRemover::remove );
auto UnreachableStatesRemoverMultiInitialStateNFA = registration::AbstractRegister < UnreachableStatesRemover, automaton::MultiInitialStateNFA < >, const automaton::MultiInitialStateNFA < > & > ( UnreachableStatesRemover::remove );

} /* namespace efficient */

} /* namespace simplify */

} /* namespace automaton */
